Loading...
Searching...
No Matches
AVCodec Struct Reference
libavcodec » Core functions/structures.

AVCodec. More...

`#include <libavcodec/codec.h>`

## Data Fields

const char * | name
| Name of the codec implementation.
const char * | long_name
| Descriptive name for the codec, meant to be more human readable than name.
enum AVMediaType | type
enum AVCodecID | id
int | capabilities
| Codec capabilities.
uint8_t | max_lowres
| maximum value for lowres supported by the decoder
attribute_deprecated const AVRational * | supported_framerates
| Deprecated codec capabilities.
attribute_deprecated enum AVPixelFormat * | pix_fmts
attribute_deprecated const int * | supported_samplerates
attribute_deprecated enum AVSampleFormat * | sample_fmts
const AVClass * | priv_class
| AVClass for the private context.
const AVProfile * | profiles
| array of recognized profiles, or NULL if unknown, array is terminated by {AV_PROFILE_UNKNOWN}
const char * | wrapper_name
| Group name of the codec implementation.
attribute_deprecated const AVChannelLayout * | ch_layouts
| Array of supported channel layouts, terminated with a zeroed layout.

## Detailed Description

AVCodec.

Examples
  decode_audio.c, decode_filter_audio.c, decode_filter_video.c, decode_video.c, demux_decode.c, encode_audio.c, encode_video.c, extract_mvs.c, hw_decode.c, mux.c, qsv_decode.c, qsv_transcode.c, transcode.c, transcode_aac.c, vaapi_encode.c, and vaapi_transcode.c.

Definition at line 187 of file codec.h.

## Field Documentation

## name

const char* AVCodec::name

Name of the codec implementation.

The name is globally unique among encoders and among decoders (but an encoder and a decoder can share the same name). This is the primary way to find a codec from the user perspective.

Examples
  hw_decode.c, and transcode.c.

Definition at line 194 of file codec.h.

Referenced by main(), and open_output_file().

## long_name

const char* AVCodec::long_name

Descriptive name for the codec, meant to be more human readable than name.

You should use the NULL_IF_CONFIG_SMALL() macro to define it.

Definition at line 199 of file codec.h.

## type

enum AVMediaType AVCodec::type

Examples
  demux_decode.c.

Definition at line 200 of file codec.h.

Referenced by decode_packet().

## id

enum AVCodecID AVCodec::id

Examples
  decode_audio.c, decode_video.c, and encode_video.c.

Definition at line 201 of file codec.h.

Referenced by main().

## capabilities

int AVCodec::capabilities

Codec capabilities.

see AV_CODEC_CAP_*

Examples
  mux.c, and transcode.c.

Definition at line 206 of file codec.h.

Referenced by open_audio().

## max_lowres

uint8_t AVCodec::max_lowres

maximum value for lowres supported by the decoder

Definition at line 207 of file codec.h.

## supported_framerates

attribute_deprecated const AVRational* AVCodec::supported_framerates

Deprecated codec capabilities.

Deprecated:
  use avcodec_get_supported_config()

Definition at line 213 of file codec.h.

## pix_fmts

attribute_deprecated enum AVPixelFormat* AVCodec::pix_fmts

Deprecated:
  use avcodec_get_supported_config()

Examples
  transcode.c.

Definition at line 215 of file codec.h.

Referenced by open_output_file().

## supported_samplerates

attribute_deprecated const int* AVCodec::supported_samplerates

Deprecated:
  use avcodec_get_supported_config()

Examples
  encode_audio.c.

Definition at line 217 of file codec.h.

Referenced by select_sample_rate().

## sample_fmts

attribute_deprecated enum AVSampleFormat* AVCodec::sample_fmts

Deprecated:
  use avcodec_get_supported_config()

Examples
  encode_audio.c, transcode.c, and transcode_aac.c.

Definition at line 219 of file codec.h.

Referenced by check_sample_fmt(), open_output_file(), and open_output_file().

## priv_class

const AVClass* AVCodec::priv_class

AVClass for the private context.

Definition at line 221 of file codec.h.

## profiles

const AVProfile* AVCodec::profiles

array of recognized profiles, or NULL if unknown, array is terminated by {AV_PROFILE_UNKNOWN}

Definition at line 222 of file codec.h.

## wrapper_name

const char* AVCodec::wrapper_name

Group name of the codec implementation.

This is a short symbolic name of the wrapper backing this codec. A wrapper uses some kind of external implementation for the codec, such as an external library, or a codec implementation provided by the OS or the hardware. If this field is NULL, this is a builtin, libavcodec native codec. If non-NULL, this will be the suffix in AVCodec.name in most cases (usually AVCodec.name will be of the form "<codec_name>_<wrapper_name>").

Definition at line 234 of file codec.h.

## ch_layouts

attribute_deprecated const AVChannelLayout* AVCodec::ch_layouts

Array of supported channel layouts, terminated with a zeroed layout.

Deprecated:
  use avcodec_get_supported_config()

Examples
  encode_audio.c.

Definition at line 241 of file codec.h.

Referenced by select_channel_layout().

The documentation for this struct was generated from the following file:

- libavcodec/codec.h